Bug 212919 - (DG-DataSource-DO) Review Request: php-pear-Structures-DataGrid-DataSource-DataObject - DataSource driver using PEAR::DB_DataObject
Review Request: php-pear-Structures-DataGrid-DataSource-DataObject - DataSour...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: pear-Structures-DG DataObj-FormBuilder
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-29 23:03 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 10:21:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-10-29 23:03:28 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Structures-DataGrid-DataSource-DataObject.spec

SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Structures-DataGrid-DataSource-DataObject-0.1.0-1.src.rpm

Description:
This is a DataSource driver for Structures_DataGrid using PEAR::DB_DataObject.
Comment 1 Jason Tibbitts 2006-11-18 22:52:30 EST
The names get even longer!
   W: php-pear-Structures-DataGrid-DataSource-DataObject no-documentation
   W: php-pear-Structures-DataGrid-DataSource-DataObject
filename-too-long-for-joliet
php-pear-Structures-DataGrid-DataSource-DataObject-0.1.0-1.fc7.noarch.rpm

I'm still operating under the assumption that this doesn't really break anything.

* source files match upstream:
   8779c153f7299f649b39859abbfa646d
Structures_DataGrid_DataSource_DataObject-0.1.0.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
O rpmlint output is OK.
* final provides and requires are sane:
   php-pear(Structures_DataGrid_DataSource_DataObject) = 0.1.0
   php-pear-Structures-DataGrid-DataSource-DataObject = 0.1.0-1.fc7
  =
   /bin/sh
   /usr/bin/pear
   php-pear(DB_DataObject)
   php-pear(DB_DataObject_FormBuilder)
   php-pear(PEAR)
   php-pear(Structures_DataGrid)
* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear module installation).
* code, not content.
* no documentation, so no -docs subpackage is necessary.

APPROVED
Comment 2 Christopher Stone 2006-11-21 10:21:35 EST
Built on devel.  Thanks for the review.
Comment 3 Christopher Stone 2007-05-05 19:53:17 EDT
Package Change Request
======================
Package Name: php-pear-Structures-DataGrid-DataSource-DataObject
New Branches: EL-5
Comment 4 Dennis Gilmore 2007-05-06 01:27:35 EDT
EPEL branched

Note You need to log in before you can comment on or make changes to this bug.